系统
# 列出系统操作日志
# 请求
GET /openapi/system/operation
1
# Query
| 参数名 | 类型 | 描述 | 必填 |
|---|---|---|---|
| searchType | string | 搜索类型,可选值:all:全部project:项目user:用户function:功能status:状态码 | 是 |
| projectKey | string | 项目标识 | 否 |
| username | string | 用户名 | 否 |
| function | string | 功能 | 否 |
| status | int | 状态码 | 否 |
| perPage | int | 每页数量 | 是 |
| page | int | 页码 | 是 |
# 返回
{
"operation_logs": [
{
"username": "admin", // 用户名
"project_key": "yaml", // 项目标识
"method": "更新", // 操作
"function": "自定义工作流", // 功能
"scene": "", // 场景
"targets": [], // 当 scene 为 environment 时,targets 为环境名称列表
"detail": "dingdingshenpi", // 详情
"request_body": ".....", // 具体值省略,request_body类型可能为 json 或 yaml
"body_type": "yaml", // body_type 有三种值,""、"json"、"yaml",老数据可能为空
"status": 200, // 状态码
"created_at": 1744360992 // 创建时间
},
{
"username": "admin",
"project_key": "yaml",
"method": "新建",
"function": "自定义工作流任务",
"scene": "",
"targets": [],
"detail": "dingdingshenpi",
"request_body": ".....",
"body_type": "json",
"status": 200,
"created_at": 1744360968
},
{
"username": "admin",
"project_key": "yaml",
"method": "更新",
"function": "自定义工作流",
"scene": "",
"targets": [],
"detail": "dingdingshenpi",
"request_body": ".....",
"body_type": "yaml",
"status": 200,
"created_at": 1744360964
}
],
"total": 107116
}
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
# 列出环境操作日志
# 请求
GET /openapi/system/operation/env
1
# Query
| 参数名 | 类型 | 描述 | 必填 |
|---|---|---|---|
| projectKey | string | 项目标识 | 是 |
| envName | string | 环境名称 | 是 |
| searchType | string | 搜索类型,可选值:all:全部user:用户function:功能status:状态码detail:详情 | 是 |
| username | string | 用户名 | 否 |
| function | string | 功能 | 否 |
| status | int | 状态码 | 否 |
| detail | string | 详情 | 否 |
| perPage | int | 每页数量 | 是 |
| page | int | 页码 | 是 |
# 返回
{
"operation_logs": [
{
"username": "admin", // 用户名
"project_key": "yaml", // 项目标识
"method": "更新", // 操作
"function": "自定义工作流", // 功能
"scene": "", // 场景
"targets": [], // 当 scene 为 environment 时,targets 为环境名称列表
"detail": "dingdingshenpi", // 详情
"request_body": ".....", // 具体值省略,request_body类型可能为 json 或 yaml
"body_type": "yaml", // body_type 有三种值,""、"json"、"yaml",老数据可能为空
"status": 200, // 状态码
"created_at": 1744360992 // 创建时间
},
{
"username": "admin",
"project_key": "yaml",
"method": "新建",
"function": "自定义工作流任务",
"scene": "",
"targets": [],
"detail": "dingdingshenpi",
"request_body": ".....",
"body_type": "json",
"status": 200,
"created_at": 1744360968
},
{
"username": "admin",
"project_key": "yaml",
"method": "更新",
"function": "自定义工作流",
"scene": "",
"targets": [],
"detail": "dingdingshenpi",
"request_body": ".....",
"body_type": "yaml",
"status": 200,
"created_at": 1744360964
}
],
"total": 107116
}
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44


